package com.xinelu.manage.mapper.project;

import com.xinelu.manage.domain.project.Project;
import java.util.List;
import org.apache.ibatis.annotations.Param;

/**
 * 检测项目Mapper接口
 *
 * @author haown
 * @date 2024-03-11
 */
public interface ProjectMapper {
    /**
     * 查询检测项目
     *
     * @param id 检测项目主键
     * @return 检测项目
     */
    public Project selectProjectById(Long id);

    /**
     * 查询检测项目列表
     *
     * @param project 检测项目
     * @return 检测项目集合
     */
    public List<Project> selectProjectList(Project project);

    /**
     * 新增检测项目
     *
     * @param project 检测项目
     * @return 结果
     */
    public int insertProject(Project project);

    /**
     * 修改检测项目
     *
     * @param project 检测项目
     * @return 结果
     */
    public int updateProject(Project project);

    /**
     * 删除检测项目
     *
     * @param id 检测项目主键
     * @return 结果
     */
    public int deleteProjectById(Long id);

    /**
     * 批量删除检测项目
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteProjectByIds(Long[] ids);

	List<Project> hasSameCodeProject(@Param("id")Long id, @Param("groupId")Long groupId, @Param("projectCode")String projectCode);
}
